using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[PrimaryKey("UserName", "PropertyName", "PropertyValue")]
[Table("ATUserProperty")]
[Index("UserName", Name = "ATUserProperty_IX_UserName")]
[Index("UserName", "PropertyName", Name = "UQ_ATUserProperty_UserName_PropertyName", IsUnique = true)]
public partial class AtuserProperty
{
    [Key]
    [StringLength(255)]
    public string UserName { get; set; } = null!;

    [Key]
    [StringLength(255)]
    public string PropertyName { get; set; } = null!;

    [Key]
    [StringLength(255)]
    public string PropertyValue { get; set; } = null!;

    [ForeignKey("UserName")]
    [InverseProperty("AtuserProperties")]
    public virtual Atuser UserNameNavigation { get; set; } = null!;
}
